Bug 13958 - Не хотим ли мы сделать Provides: php5-pcre ?
: Не хотим ли мы сделать Provides: php5-pcre ?
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/php5)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-01-10 02:23 by
Modified: 2009-03-19 23:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-01-10 02:23:16
Не хотим ли мы сделать Provides: php5-pcre
для отражения того факта, что php собран с --with-pcre-regex=DIR ?
------- Comment #1 From 2008-01-18 09:49:20 -------
В Fedora вообще куча provides:
http://hany.sk/~hany/RPM/f-updates-7-i386/php-common-5.2.4-1.fc7.i386.html

Давайте ещё php5-spl сделаем для совместимости?
------- Comment #2 From 2008-07-02 19:45:14 -------
(In reply to comment #0)
> Не хотим ли мы сделать Provides: php5-pcre
> для отражения того факта, что php собран с --with-pcre-regex=DIR ?

$ php5/configure --help |grep -c with-pcre-regex
0

У php5 такой опции нет и разумеется мы не собираемся с ней.
------- Comment #3 From 2008-07-03 01:12:31 -------
Насколько мне интернет истолковал ваше иносказание,
$ ./configure --help | grep pcre
  --without-pcre-regex    Do not include Perl Compatible Regular Expressions
support.
php5 и так собирается pcre-regex, его можно только отключить.

Пожелание в данной баге было добавить provides: php5-pcre, отражающее наличие
поддержки pcre в пакете.
------- Comment #4 From 2008-07-03 01:22:35 -------
(In reply to comment #3)
> Насколько мне интернет истолковал ваше иносказание,

Лучше бы вы сразу описали пожелание полностью. Тогда бы я понял что вы
предлагаете быстрее.
------- Comment #5 From 2008-07-03 09:22:28 -------
Я стараюсь. Думаю, что сначала я сам не очень понимал, как правильно
сформулировать.
------- Comment #6 From 2009-02-10 16:56:37 -------
Исправлено в 5.2.9.20090205-alt1